version: '3.8'
services:
  pulsar-manager:
    image: apachepulsar/pulsar-manager:v0.4.0
    container_name: smart-city-pulsar-manager
    restart: unless-stopped
    networks:
      - traefik-public
      - smartcity-shared
    ports:
      - "7750:7750"
    environment:
      - SPRING_APPLICATION_JSON={"server":{"port":7750},"pulsar":{"cluster":"standalone","serviceUrl":"pulsar://smart-city-pulsar:6650","webServiceUrl":"http://smart-city-pulsar:8080"},"spring":{"datasource":{"driverClassName":"herddb.jdbc.Driver","url":"jdbc:herddb:server:localhost:7000?server.start=true&server.base.dir=dbdata","initialization-mode":"never"},"logging":{"level":{"org":{"apache":"INFO"}}},"redirect":{"host":"localhost","port":7750}}
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.pulsar-manager.rule=Host(`pulsar.digitribe.fr`)"
      - "traefik.http.routers.pulsar-manager.entrypoints=websecure"
      - "traefik.http.routers.pulsar-manager.tls=true"
      - "traefik.http.services.pulsar-manager.loadbalancer.server.port=7750"
networks:
  traefik-public:
    external: true
  smartcity-shared:
    external: true
